<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.tomas.ht_mast"
    android:versionCode="1"
    android:versionName="2.0.1" >

    <uses-sdk
        android:minSdkVersion="28"
        android:targetSdkVersion="33" />

    <uses-permission android:name="android.permission.INTERNET" />

    <permission
        android:name="com.tomas.ht_mast.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION"
        android:protectionLevel="signature" />

    <uses-permission android:name="com.tomas.ht_mast.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />

    <application
        android:allowBackup="true"
        android:appComponentFactory="androidx.core.app.CoreComponentFactory"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:debuggable="true"
        android:extractNativeLibs="false"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.HT_MAST"
        android:usesCleartextTraffic="true" >
        <activity
            android:name="com.tomas.ht_mast.OutboutManualRecheck_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.OutboundDetail_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.StocktakingLabel_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.RePrintLabel_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.ChangeLocation_Activity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name="com.tomas.ht_mast.StockCheck_Activity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name="com.tomas.ht_mast.Photomatching"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.LabelSchedule_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.InboundMenu_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.InboundDetail_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.LabelManualMenu_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.LabelDetail_Activity"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name="com.tomas.ht_mast.InboundSchedule_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.StockMenu_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.OutbountMenu_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.PrinterSetting_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.OutboundSchedule_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.QCCheck_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.QCSchedule_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.QCMenu_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.InboundMenuDPP_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.InventoryMenu_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.TranferInProcess_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.NGManual_Activity"
            android:exported="false" />
        <activity
            android:name="com.tomas.ht_mast.Login_Activity"
            android:exported="true" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.tomas.ht_mast.Setting_Activity"
            android:exported="false"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.CREATE_DOCUMENT" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.tomas.ht_mast.MainMenu_Activity"
            android:exported="false" />

        <provider
            android:name="androidx.startup.InitializationProvider"
            android:authorities="com.tomas.ht_mast.androidx-startup"
            android:exported="false" >
            <meta-data
                android:name="androidx.emoji2.text.EmojiCompatInitializer"
                android:value="androidx.startup" />
            <meta-data
                android:name="androidx.lifecycle.ProcessLifecycleInitializer"
                android:value="androidx.startup" />
        </provider>
    </application>

</manifest>